import AOS from "aos";
import "aos/dist/aos.css";

export default defineNuxtPlugin((nuxtApp) => {
  if (typeof window !== 'undefined') {
    nuxtApp.AOS = AOS.init({
      startEvent: 'DOMContentLoaded',
      debounceDelay: 50,
      throttleDelay: 99,
      once: false,
      mirror: true,
      anchorPlacement: 'top-bottom',
    });
  }
});