const utils = {
    lockScroll() {
        let widthBar = 8,
            root = document.documentElement;
        if (typeof window.innerWidth == "number") {
            widthBar = window.innerWidth - root.clientWidth;
        }
        root.style.overflow = "hidden";
        root.style.borderRight = `${widthBar}px solid transparent`;
        root.getElementsByClassName('navbar')[0].style.borderRight = `${widthBar}px solid transparent`;
    },
    unlockScroll() {
        let root = document.documentElement;
        root.style.overflow = "";
        root.style.borderRight = "";
        root.getElementsByClassName('navbar')[0].style.borderRight = '';
    },
}

export default utils