import { use } from 'echarts/core';
import { CanvasRenderer } from 'echarts/renderers';
import { BarChart, PieChart } from 'echarts/charts';
import {
    TitleComponent,
    TooltipComponent,
    GridComponent,
    LegendComponent,
    DatasetComponent,
    TransformComponent
  } from 'echarts/components';

export default defineNuxtPlugin((nuxtApp) => {
    use([CanvasRenderer, BarChart, PieChart, GridComponent, TitleComponent, TooltipComponent, LegendComponent, DatasetComponent, TransformComponent]);
});