import Scrollent from "scrollent";

export default defineNuxtPlugin((nuxtApp) => {
  if (typeof window !== 'undefined') {
    nuxtApp.Scrollent = new Scrollent({
        reentrant: true,
        percent: 0.2
    }).init();
    return {
      provide: {
        Scrollent: nuxtApp.Scrollent
      }
    }
  }
});